curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/items \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/items"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"sKU": "<string>",
"isDeliveryTimeAutomatic": true,
"salesPriceNet": 123,
"suggestedRetailPrice": 123,
"amazonPrice": 123,
"ebayPrice": 123,
"buffer": 123,
"allowNegativeStock": true,
"isInventoryManagementActive": true,
"isDivisible": true,
"hasBatch": true,
"hasBestBeforeDate": true,
"isSerialNumberManaged": true,
"isActive": true,
"isOnPriceList": true,
"isTopItem": true,
"isNew": true,
"isBillOfMaterials": true,
"isBillOfMaterialsComponent": true,
"isVariationParent": true,
"isVariationChild": true,
"hasMinimumStock": true,
"isBlockedForOrderSuggestions": true,
"isShopActive": true,
"isOrderProcessProhibited": true,
"isFulfillmentActive": true,
"isFulfillmentOwn": true,
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billOfMaterialsId": 123,
"parentItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemIdForCategoryItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sortNumber": 123,
"name": "<string>",
"unit": "<string>",
"description": "<string>",
"shortDescription": "<string>",
"notes": "<string>",
"labels": "<string>",
"series": "<string>",
"gTIN": "<string>",
"manufacturerNumber": "<string>",
"iSBN": "<string>",
"defaultAsin": "<string>",
"taricCode": "<string>",
"uPC": "<string>",
"uNNumber": "<string>",
"hazardNumber": "<string>",
"amazonFnsku": "<string>",
"jfsku": "<string>",
"countryOfOrigin": "<string>",
"manufacturerName": "<string>",
"deliveryStatus": "<string>",
"manualDeliveryTimeDays": 123,
"width": 123,
"height": 123,
"length": 123,
"shippingWeight": 123,
"weight": 123,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedTimestamp": "2023-11-07T05:31:56Z",
"releaseDate": "2023-11-07T05:31:56Z",
"lastPurchaseDate": "2023-11-07T05:31:56Z",
"lastEditor": "<string>",
"salesPriceGross": 123,
"averagePurchasePriceNet": 123,
"lastPurchasePrice": 123,
"profit": 123,
"profitPercent": 123,
"specialPriceStatus": 123,
"basePriceValue": 123,
"basePriceUnit": "<string>",
"measurementUnit": "<string>",
"stockTotal": 123,
"stockOwn": 123,
"stockIncoming": 123,
"stockOnPurchaseList": 123,
"stockInOrders": 123,
"stockAvailable": 123,
"stockReservedTotal": 123,
"stockInAmazonOffers": 123,
"ebayStock": 123,
"minimumOrderQuantity": 123,
"purchaseInterval": 123,
"minimumStock": 123,
"serialNumberTrackingMode": 0,
"salesPackagingUnit": 123,
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionName": "<string>",
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxClassName": "<string>",
"manufacturerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"productGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"productGroupName": "<string>",
"defaultSupplierId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"defaultSupplier": "<string>",
"shippingClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingClassName": "<string>",
"defaultImageId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"defaultImageUrl": "<string>",
"additionalProcessingTime": 123,
"metaDescription": "<string>",
"titleTag": "<string>",
"metaKeywords": "<string>",
"languageId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Queries all items.
Queries all items.
Paged query. Query parameters: pageNumber (default 1), pageSize (default 100). Sorting via sortBy (comma-separated fields, applied as OrderBy then ThenBy) and sortDescending (default false). Date filtering per date field via After (greater than) and Before (less than).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Query Parameters
The search term.
The type of search used. 46 = Begins with, 48 = Contains, 50 = Wildcard
46, 48, 50 The fields that will be searched.
0 = SKU, 1 = GTIN, 2 = MPN, 3 = UPC, 4 = ISBN, 5 = Item name, 6 = Container unit GTIN, 7 = ASIN, 8 = SKU (supplier), 9 = Container unit UPC, 10 = FNSKU, 11 = JTL-Fulfillment ID, 12 = Subset ID, 13 = Shop Suchbegriffe
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13 The serialized XML from the extended filter.
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Only include items whose CreatedDate is after (greater than) this value.
Only include items whose CreatedDate is before (less than) this value.
Only include items whose ModifiedDate is after (greater than) this value.
Only include items whose ModifiedDate is before (less than) this value.
Only include items whose ModifiedTimestamp is after (greater than) this value.
Only include items whose ModifiedTimestamp is before (less than) this value.
Only include items whose ReleaseDate is after (greater than) this value.
Only include items whose ReleaseDate is before (less than) this value.
Only include items whose LastPurchaseDate is after (greater than) this value.
Only include items whose LastPurchaseDate is before (less than) this value.
Was this page helpful?